what to do next with roms & firmware


Last Updated:

  1. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    i've decided to keep my trusty htc magic (32b) "google" (uk) instead of upgrading as the monthly price difference aint worth it at the moment.
    So what i have is a rooted magic which has a firmware on 1.5.
    i rooted it myself & installed the rom but i did this when i got the phone 12months ago, so i'm a bit rusty on what to do.
    also which firmware/rom is fully working as when i look some of the newer ones that are out are only partially working.
    i did put the hero one on it (liked the look of the clock)when i got the phone & liked the look of it but it ran very slowly so i took it off.
    also can anyone explain what "radio" means in androidland.
    lastly when 2.2 firmware eventually officially comes out how does this affect a rooted phone. ie if i installed it would it then stop me from messing about with roms etc.
    thanks
     

    Advertisement
  2. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    Here is a list of available ROM's and the Radio's that the're compatible with

    The Rom Bible - xda-developers

    If you want to try out ROM's that don't match your particular radio, you can always use a Radio Switcher script to make the process easier.

    [TOOL]Radio Switcher v2.1 "Windows/Linux; Multi-language" - xda-developers
     
  3. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    sorry for sounding an idiot but whats the "radio"
    i suppose i am sounding an idiot to all you guys who do this regularly.
    let me put it this way :
    i am starting off with my magic 32b google phone which has been rooted & running firmware 1.5
    & smartphonefrance 2.8.0 & kernel version 2.6.27-00394-gc6c6056.
    all i would like to do is update it to a faster better stable rom/system which doesn't hammer the battery too much.
    where would the idiots guide be to doing this.
    i have done it in the past but 12months is a long time when i've hardly messed about with it (fkin ell i sound like a catholic priest :)
     
  4. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    right i've just done a fastboot (back+power)
    & this came up:
    SAPPIRE PVT 32B ENG S-OFF H
    HBOOT-1.33.2005 (SAPP10000)
    CPLD-10
    RADIO-2.22.19.26I

    Apr 20 2009,15:30:43

    so my radio is 2.22.19.26I i've still no idea what this means???????????
    "help please"
     
  5. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    Hey everybody is a noob at one time or another, asking is how we get to not be noobs anymore. Based on your OP I had assumed that you have rooted your phone. If this is not true, you'll have to root it first before you can even think about installing a custom ROM on it.

    You can get your radio version by powering on your phone and then while holding the volume down key in turn it back on (Volume down + power). you will get to a screen with three little androids on skateboards at the bottom.

    This is the information on your Radio and SPL (Secondary Program Loader)
    Here is what shows on Mine

    SAPPHIRE PVT 32A ENG S-OFF.H
    HBOOT-1.33.2010 (SAPP50000)
    CPLID-12
    RADIO-3.22.26.17
    June 2 2009,17:27:03

    The line that starts with SAPPHIRE says that my hardware is a PVT 32A board and that I'm running an (ENG) Engineering SPL and that (S-OFF) security is off

    The line that starts with HBOOT gives you your SPL version, in my case it's 1.33.2010

    The line that starts with RADIO is the radio version that I'm running, in my case it's 3.22.26.17

    It's the radio version that is going to determine which ROM's you'll be able to run and it's the SPL version that will determine which Radio's you'll be able to use.

    IE: With a 1.33.X SPL you can run a 2.X or 3.X radio
    With a 1.76.X SPL you can run a 6.X radio

    When you wish to change radio's you have to make sure that you are using a matching SPL or you'll end up bricking your phone (expensive paperweight). And it's not only the SPL/Radio combination that you have to worry about, your recovery has to be matched to the SPL/Radio combination as well.

    The radioswitcher script I linked to in my first post is a way to switch between a 3.x and 6.x radio without having to enter all the commands yourself, the script will actually check to make sure that the proper files are available before attempting to flash a new SPL, Radio & Recovery to your phone.

    How about you get the information from your fastboot screen (volume down + power) and we'll direct you to any guides that would be able to help you.

    gbd
     
  6. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    thanks for helping mate i must have been doing it as you were writing it (look above your reply) & yep its been rooted.
    thanks
     
  7. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    Great!! Good luck in your ROM search. Right now I'm running CyanogenMod 6.0.0 RC1. It's a beta but it's based on Android 2.2 and it's working well enough to be a daily driver. It's compatable with your current setup and you can find it on the forum at CyanogemMod.com
     
  8. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    please hang on a second, what have i got & what am i looking for i know i have got
    "RADIO-2.22.19.26I" but i have no idea what it means & what i should be looking at.
    thanks again, i am getting there but it aint sunk in properly yet!
     
  9. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    & are you sure its ok with mine as i haven't done anything to it for 12 months or so.
     
  10. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    hi mate again sorry for all the questions :
    but with it being a beta can you tell me what does/doesn't work i've read about some roms you might not get something working i'e camera, mms, text, even wifi etc,etc.
    i think i am getting it now "slowly"
     
  11. GreatBigDog

    GreatBigDog Well-Known Member

    Joined:
    Dec 3, 2009
    Messages:
    495
    Likes Received:
    46
    Sorry I left on ya, back now.

    Everything is working on it, there might be a couple of issues that may popup with individual items but the guys in the forum there are a great bunch and are constantly working on it. It does have a few issues with Force Closing the market app but that seems to clear itself up after a short period.

    If you prefer something a little less expermental you can go for the stable CyanogenMod 5.0.8. You can find it here. It's based on Android 2.1.

    What I did on mine was to go into recovery (home + power) and perform a Nand backup, after the backup I performed a wipe then flashed CM6.0, Kernel Port & Gapps. You won't need the kernel port because you have a 2.x radio. So just flash the CM6 and Gapps packages (Flash Zip from SD).

    Let me know if you need any help with working in recovery.
     
  12. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    hi mate i'm having big problems here,
    it won't install either if the cm6 or 5 roms i've been onto the cyanogen website but i keep getting told different things & i end up back at the start.
    it says installing update then on the next line it says:
    E:can't find update script
    installation aborted.
    is this because i don't have any cyanogen roms installed to update?
    i'm stuck & need as much help as possible.
    thanks.
     
  13. cookie11

    cookie11 Active Member This Topic's Starter

    Joined:
    Aug 14, 2009
    Messages:
    43
    Likes Received:
    0
    also whats a "gold card" i keep coming up with loads of different ways to do this & this keeps getting mentioned ?
    do i need one ?
     

Share This Page

Loading...